<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>JavaScript HW 2 (+extra)</title>
</head>
<body>

<script class="priority-task">
    "use strict";

    let userNumber = +prompt("Please, enter the random positive & integer number below:", "");

    while (userNumber < 0 || isNaN(userNumber) || !Number.isInteger(+userNumber) || userNumber === "null") {
        userNumber = prompt("Incorrect input! Enter the positive & integer number:", userNumber);
    }

    while (userNumber < 5 || isNaN(userNumber) || !Number.isInteger(+userNumber) || userNumber === "null") {
        userNumber = prompt("No multiples of 5, re-enter the data", userNumber);
    }

    // я ограничил максимальное выводимое число 1000, на случай введения 100500

    for (let i = 5; i <= userNumber && i <= 1000; i++) {
        if (i % 5 === 0) {
        console.log(i);
        }
    }
</script>

<!--<script class="extra-task">-->

<!--    let numberM = +prompt("Please, enter the random positive number M below:", "required condition: M < N");-->
<!--    let numberN = +prompt("Please, enter the random positive number N below:", "required condition: M < N");-->

<!--    while (numberM > numberN || numberM < 0 || numberN < 1 || isNaN(numberM) || isNaN(numberN) || !Number.isInteger(numberM) || !Number.isInteger(numberN)) {-->
<!--        numberM = +prompt("Incorrect input! Re-enter the number M:", numberM);-->
<!--        numberN = +prompt("Incorrect input! Re-enter the number N:", numberN);-->
<!--    }-->

<!--    nextLoop:-->
<!--        for (let i = numberM; i <= numberN; i++) {-->

<!--        for (let j = 2 ; j < i; j++) {-->
<!--            if (i % j === 0) continue nextLoop;-->
<!--            }-->
<!--        console.log(i);-->
<!--    }-->

<!--</script>-->
</body>
</html>

<!--Цикл - это инструмент, смысл которого заключается в исполнении четко определенных инструкций (строк кода),-->
<!--до тех пор пока истинно условие цикла. Таким образом, используя цикл, мы можем повторить исполнение заданных-->
<!--строк кода, пока условие не вернет false.-->

<!--Есть пять видов циклов, но глобально все они делятся на (1) циклы while и (2) циклы for.-->

<!--Первые используются в тех случаях, когда условие цикла может быть проверено неопределенное количество раз.-->
<!--Например, во время отправки данных формы, цикл будут повторяться, пока не будут введены валидные данные.-->

<!--Вторые используются, когда мы можем четко обозначить критерии начала и окончания цикла.-->
<!--Например, когда нам нужно отобразить список пользователей от 18 до 21 года.-->
